{* editUzivatel *}
<a href="#" class="text-primary" data-bs-toggle="modal" data-bs-target="#editUzivatelModal-{$uzivatel->id}">
    <i class="fas fa-edit me-2"></i>Editovat
</a>
{*edit logo Modal*}
<div class="modal fade" id="editUzivatelModal-{$uzivatel->id}">
    <div class="modal-dialog">
        <form n:name=editUzivatelForm>
            <div class="modal-content">
                <div class="modal-header bg-primary text-white">
                    <h5 class="modal-title">Editace uživatele</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="input-group mb-3">
                        <span class="input-group-text"><i class="fas fa-user"></i></span>
                        <input n:name="name" class="form-control" placeholder="Celé jméno">
                    </div>
                    <div class="mb-3">
                        <div class="input-group">
                            <span class="input-group-text"><i class="fas fa-envelope"></i></span>
                            <input n:name="email" class="form-control emailNewUser-{$uzivatel->id}" placeholder="Emailová adresa" onchange="checkNewUserEmail{$uzivatel->id}()">
                        </div>
                        <div id="emailCheckMessage-{$uzivatel->id}" class="form-text text-danger" style="display: none">Emailová adresa je již registrována u jiného uživatele!</div>
                    </div>
                    {if $role == 'true'}
                        <hr>
                        <div class="input-group">
                            <span class="input-group-text"><i class="fas fa-users"></i></span>
                            <select n:name="role" class="form-select"></select>
                        </div>
                    {/if}
                </div>
                <div class="modal-footer">
                    <a class="btn btn-outline-secondary" data-bs-dismiss="modal">Zavřít</a>
                    <button n:name="send" class="btn btn-success send-{$uzivatel->id}"><i class="fas fa-save me-2"></i>Uložit</button>
                </div>
            </div>
        </form>
    </div>
</div>
<script>
    function checkNewUserEmail{$uzivatel->id}()
    {
        let emailInput = $('.emailNewUser-{$uzivatel->id}');
        let emailCheck = $('#emailCheckMessage-{$uzivatel->id}');
        let button = $('.send-{$uzivatel->id}');

        var email = emailInput.val();

        naja.makeRequest('POST', {link 'checkEmail'} , { {$control->getParameterId('email') }: email })
    .then((payload) => {

        if (payload.email == 1)
        {
            button.prop('disabled', true);
            emailCheck.show();
            emailInput.removeClass('is-valid');
            emailInput.addClass('is-invalid');
        }else{
            button.prop('disabled', false);
            emailCheck.hide()
            emailInput.removeClass('is-invalid');
            emailInput.addClass('is-valid');
        }
    })
        .catch((error) => { console.log(error) });
    }
</script>